<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Dropdown Example</title>
    <style>
      .custom-select-wrapper {
        position: relative;
        user-select: none;
        width: 100%;
      }
      .custom-select {
        position: relative;
        display: flex;
        flex-direction: column;
      }
      .custom-select__trigger {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 0 22px;
        font-size: 20px;
        font-weight: 300;
        color: #3b3b3b;
        height: 60px;
        line-height: 60px;
        background: #ffffff;
        cursor: pointer;
        border: 1px solid #2c82be;
        border-radius: 5px;
      }
      .custom-options {
        position: absolute;
        display: block;
        top: 100%;
        left: 0;
        right: 0;
        border: 1px solid #2c82be;
        border-top: 0;
        background: #ffffff;
        transition: all 0.5s;
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        z-index: 2;
      }
      .custom-select.open .custom-options {
        opacity: 1;
        visibility: visible;
        pointer-events: all;
        border-radius: 0 0 5px 5px;
      }
      .custom-select.open .custom-select__trigger {
        border: 1px solid #2c82be;
        border-radius: 5px 5px 0 0;
        border-bottom: none;
      }
      .custom-option {
        position: relative;
        display: block;
        padding: 0 22px 0 22px;
        font-size: 22px;
        font-weight: 300;
        color: #3b3b3b;
        line-height: 60px;
        cursor: pointer;
        transition: all 0.5s;
      }
      .custom-option:hover {
        cursor: pointer;
        color: #ffffff;
        background-color: #2c82be;
      }

      /* .custom-option.selected {
        color: #ffffff;
        background-color: #2c82be;
      } */
      .arrow {
        background: url("./new_project_arrow.svg") center center;
        background-size: cover;
        height: 15px;
        width: 15px;
      }
      /* .arrow::before,
      .arrow::after {
        content: "";
        position: absolute;
        bottom: 0px;
        width: 0.15rem;
        height: 100%;
        transition: all 0.5s;
      }
      .arrow::before {
        left: -5px;
        transform: rotate(45deg);
        background-color: #394a6d;
      }
      .arrow::after {
        left: 5px;
        transform: rotate(-45deg);
        background-color: #394a6d;
      }
      .open .arrow::before {
        left: -5px;
        transform: rotate(-45deg);
      }
      .open .arrow::after {
        left: 5px;
        transform: rotate(45deg);
      } */
    </style>
  </head>
  <body>
    <div class="custom-select-wrapper">
      <div class="custom-select">
        <div class="custom-select__trigger">
          <span>Tesla</span>
          <div class="arrow"></div>
        </div>
        <div class="custom-options">
          <span class="custom-option selected" data-value="tesla">Tesla</span>
          <span class="custom-option" data-value="volvo">Volvo</span>
          <span class="custom-option" data-value="mercedes">Mercedes</span>
        </div>
      </div>
    </div>
    <script>
      // Event Listener lister user click
      document
        .querySelector(".custom-select-wrapper")
        .addEventListener("click", function () {
          this.querySelector(".custom-select").classList.toggle("open");
        });

      // lister which user choose.
      for (const option of document.querySelectorAll(".custom-option")) {
        option.addEventListener("click", function () {
          if (!this.classList.contains("selected")) {
            this.parentNode
              .querySelector(".custom-option.selected")
              .classList.remove("selected");
            this.classList.add("selected");
            this.closest(".custom-select").querySelector(
              ".custom-select__trigger span"
            ).textContent = this.textContent;
          }
        });
      }

      //   if user click click outside will auto close
      window.addEventListener("click", function (e) {
        const select = document.querySelector(".custom-select");
        if (!select.contains(e.target)) {
          select.classList.remove("open");
        }
      });
    </script>
  </body>
</html>
